<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

t3lib_extMgm::allowTableOnStandardPages('tx_locator_locations');
t3lib_extMgm::addToInsertRecords('tx_locator_locations');

if (TYPO3_MODE=="BE")	include_once(t3lib_extMgm::extPath("locator")."class.tx_locator_tx_locator_locations_categories.php");
if (TYPO3_MODE=="BE")	include_once(t3lib_extMgm::extPath("locator")."class.tx_locator_tx_locator_locations_icon.php");

// class for displaying the category tree in BE forms.
if (TYPO3_MODE=="BE") 	include_once(t3lib_extMgm::extPath($_EXTKEY).'pi1/class.tx_locator_treeview.php');



$TCA["tx_locator_locations"] = array (
	"ctrl" => array (
		'title'     => 'LLL:EXT:locator/locallang_db.xml:tx_locator_locations',
		'label'     => 'storename',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'sortby' => 'sorting',	
		'delete' => 'deleted',	
		'searchFields' => 'storename,zipcode,city,address,country,notes',
		'enablecolumns' => array (
			'disabled' => 'hidden',	
			'endtime' => 'endtime',	
			'fe_group' => 'fe_group',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY).'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY).'icon_tx_locator_locations.gif',
	),
	"feInterface" => array (
		"fe_admin_fieldList" => "hidden, endtime, fe_group, storename, storeid, address, city, state, zip, country, phone, hours, url, notes, imageurl, icon, use_coordinate, categories, lat, lon",
	)
);


t3lib_extMgm::allowTableOnStandardPages('tx_locator_categories');
t3lib_extMgm::addToInsertRecords('tx_locator_categories');

$TCA["tx_locator_categories"] = array (
	"ctrl" => array (
		'title'     => 'LLL:EXT:locator/locallang_db.xml:tx_locator_categories',
		'label'     => 'name',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'sortby' => 'sorting',	
		'delete' => 'deleted',

		'type' => 'type',
		'languageField'            => 'sys_language_uid',
		'transOrigPointerField'    => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',

		'treeParentField' => 'parentuid',
		'enablecolumns' => array (
			'disabled' => 'hidden',
			'fe_group' => 'fe_group',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY).'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY).'icon_tx_locator_categories.gif',
	),
	"feInterface" => array (
		"fe_admin_fieldList" => "fe_group, name, description",
	)
);

t3lib_extMgm::allowTableOnStandardPages('tx_locator_attributes');
t3lib_extMgm::addToInsertRecords('tx_locator_attributes');

$TCA["tx_locator_attributes"] = array (
	"ctrl" => array (
		'title'     => 'LLL:EXT:locator/locallang_db.xml:tx_locator_attributes',
		'label'     => 'name',
		'label_alt' => 'icon',
		'label_alt_force' => '1',
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'sortby' => 'sorting',
		'delete' => 'deleted',

		'type' => 'type',
		'languageField'            => 'sys_language_uid',
		'transOrigPointerField'    => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',

		'selicon_field' => 'icon',
   		'selicon_field_path' => 'uploads/tx_locator',

//		'treeParentField' => 'parentuid',
		'enablecolumns' => array (
			'disabled' => 'hidden',
//			'fe_group' => 'fe_group',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY).'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY).'icon_tx_locator_categories.gif',
	),
	"feInterface" => array (
		"fe_admin_fieldList" => "name",
	)
);


t3lib_extMgm::allowTableOnStandardPages('tx_locator_zipcodeareas');
t3lib_extMgm::addToInsertRecords('tx_locator_zipcodeareas');

$TCA["tx_locator_zipcodeareas"] = array (
	"ctrl" => array (
		'title'     => 'LLL:EXT:locator/locallang_db.xml:tx_locator_zipcodeareas',
		'label'     => 'uid',
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'sortby' => 'uid',
		'delete' => 'deleted',
		'enablecolumns' => array (
			'disabled' => 'hidden',
			'fe_group' => 'fe_group',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY).'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY).'icon_tx_locator_categories.gif',
	),
	"feInterface" => array (
		"fe_admin_fieldList" => "zipcode, area, lat, lon",
	)
);




$tempColumns = Array (
	"tx_locator_lat" => Array (
		"exclude" => 1,
		"label" => "LLL:EXT:locator/locallang_db.xml:fe_users.tx_locator_lat",
		"config" => Array (
			"type" => "input",
			"size" => "30",
			"eval" => "trim",
		)
	),
	"tx_locator_lon" => Array (
		"exclude" => 1,
		"label" => "LLL:EXT:locator/locallang_db.xml:fe_users.tx_locator_lon",
		"config" => Array (
			"type" => "input",
			"size" => "30",
			"eval" => "trim",
		)
	),
	"tx_locator_toplocation" => Array (
		"exclude" => 1,
		"label" => "tx_locator[toplocation]",
		"config" => Array (
			"type" => "check",
			"default" => "0",
		)
	),
	"tx_locator_geocode" => Array (
		"exclude" => 1,
		"label" => "tx_locator[geocode]",
		"config" => Array (
			"type" => "check",
			"default" => "1",
		)
	),
);


t3lib_div::loadTCA("fe_users");
t3lib_extMgm::addTCAcolumns("fe_users",$tempColumns,1);
t3lib_extMgm::addToAllTCAtypes("fe_users","tx_locator_lat;;;;1-1-1,tx_locator_lon, tx_locator_toplocation, tx_locator_geocode");



// for tt_news table
/*
	tx_locator_address varchar(255) DEFAULT '' NOT NULL,
	tx_locator_city varchar(255) DEFAULT '' NOT NULL,
	tx_locator_state varchar(255) DEFAULT '' NOT NULL,
	tx_locator_zipcode varchar(255) DEFAULT '' NOT NULL,
	tx_locator_country varchar(255) DEFAULT '' NOT NULL,
	tx_locator_email varchar(255) DEFAULT '' NOT NULL,
	tx_locator_phone varchar(255) DEFAULT '' NOT NULL,
	tx_locator_hours tinytext NOT NULL,
	tx_locator_url varchar(255) DEFAULT '' NOT NULL,
	tx_locator_notes text NOT NULL,
	tx_locator_imageurl blob NOT NULL,
	tx_locator_icon varchar(255) DEFAULT '' NOT NULL,
	tx_locator_use_coordinate tinyint(3) DEFAULT '0' NOT NULL,
*/
$tempColumns = Array (
	"tx_locator_lat" => Array (
		"exclude" => 1,
		"label" => "LLL:EXT:locator/locallang_db.xml:fe_users.tx_locator_lat",
		"config" => Array (
			"type" => "input",
			"size" => "30",
			"eval" => "trim",
		)
	),
	"tx_locator_lon" => Array (
		"exclude" => 1,
		"label" => "LLL:EXT:locator/locallang_db.xml:fe_users.tx_locator_lon",
		"config" => Array (
			"type" => "input",
			"size" => "30",
			"eval" => "trim",
		)
	),
	"tx_locator_geocode" => Array (
		"exclude" => 1,
		"label" => "tx_locator[geocode]",
		"config" => Array (
			"type" => "check",
			"default" => "1",
		)
	),
		"tx_locator_storename" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.storename",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"eval" => "trim",
			)
		),

		"tx_locator_address" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.address",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"eval" => "trim",
			)
		),
		"tx_locator_city" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.city",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"eval" => "trim",
			)
		),
		"tx_locator_state" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.state",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"eval" => "trim",
			)
		),
		"tx_locator_zipcode" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.zipcode",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"eval" => "trim",
			)
		),
		"tx_locator_country" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.country",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"eval" => "trim",
			)
		),
		"tx_locator_phone" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.phone",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"eval" => "trim",
			)
		),
		"tx_locator_email" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.email",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"eval" => "trim",
			)
		),
		"tx_locator_hours" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.hours",
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
			)
		),
		"tx_locator_url" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.url",
			"config" => Array (
				"type" => "input",
				"size" => "30",
				"max" => "255",
//				"checkbox" => "",
				"eval" => "trim",
				"wizards" => Array(
					"_PADDING" => 2,
					"link" => Array(
						"type" => "popup",
						"title" => "Link",
						"icon" => "link_popup.gif",
						"script" => "browse_links.php?mode=wizard",
						"JSopenParams" => "height=300,width=500,status=0,menubar=0,scrollbars=1"
					)
				)




			)
		),
		"tx_locator_notes" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.notes",
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
			)
		),
		"tx_locator_imageurl" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.imageurl",
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => "gif,png,jpeg,jpg",
				"max_size" => 500,
				"uploadfolder" => "uploads/tx_locator",
				"show_thumbs" => 1,
				"size" => 1,
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"tx_locator_icon" => Array (
			"exclude" => 0,
			"label" => "LLL:EXT:locator/locallang_db.xml:tx_locator_locations.icon",
			"config" => Array (
				"type" => "select",
				"items" => Array (),
				"itemsProcFunc" => "tx_locator_tx_locator_locations_icon->main",
				"size" => 1,
				"maxitems" => 1,
			)
		),

	
	
	
);



t3lib_div::loadTCA("tt_news");
t3lib_extMgm::addTCAcolumns("tt_news",$tempColumns,1);
//t3lib_extMgm::addToAllTCAtypes("tt_news","tx_locator_lat,tx_locator_lon, tx_locator_geocode, tx_locator_storename, tx_locator_address," .
//	" tx_locator_zipcode, tx_locator_city, tx_locator_state, tx_locator_country, tx_locator_phone, tx_locator_email," .
//	" tx_locator_hours, tx_locator_url, tx_locator_imageurl, tx_locator_notes, tx_locator_icon;;;;1-1-1");

t3lib_extMgm::addToAllTCAtypes("tt_news","tx_locator_lat;;;;1-1-1,tx_locator_lon, tx_locator_geocode, tx_locator_storename, tx_locator_address," .
	" tx_locator_zipcode, tx_locator_city, tx_locator_state, tx_locator_country, tx_locator_phone, tx_locator_email," .
	" tx_locator_hours, tx_locator_url, tx_locator_imageurl, tx_locator_notes, tx_locator_icon");
// end tt_news


// tt_address
$tempColumns = array (
	'tx_locator_lat' => array (
		'exclude' => 1,
		'label' => 'LLL:EXT:locator/locallang_db.xml:tt_address.tx_locator_lat',
		'config' => array (
			'type' => 'input',
			'size' => '15',
			'eval' => 'trim',
		)
	),
	'tx_locator_lon' => array (
		'exclude' => 1,
		'label' => 'LLL:EXT:locator/locallang_db.xml:tt_address.tx_locator_lon',
		'config' => array (
			'type' => 'input',
			'size' => '15',
			'eval' => 'trim',
		)
	),
	'tx_locator_geocode' => array (
		'exclude' => 1,
		'label' => 'LLL:EXT:locator/locallang_db.xml:tt_address.tx_locator_geocode',
		'config' => array (
			'type' => 'check',
			'default' => 1,
		)
	),

/*
	'tx_locator_categoryuid' => array (
		'exclude' => 1,
		'label' => 'LLL:EXT:locator/locallang_db.xml:tt_address.tx_locator_categoryuid',
		'config' => array (
			'type' => 'input',
			'size' => '15',
		)
	),
*/
);


t3lib_div::loadTCA('tt_address');
t3lib_extMgm::addTCAcolumns('tt_address',$tempColumns,1);
//t3lib_extMgm::addToAllTCAtypes('tt_address','tx_locator_lat;;;;1-1-1, tx_locator_lon, tx_locator_geocode, tx_locator_categoryuid');
//t3lib_extMgm::addToAllTCAtypes("tt_address","tx_locator_lat,tx_locator_lon, tx_locator_geocode;;;;1-1-1");

t3lib_extMgm::addToAllTCAtypes("tt_address","tx_locator_lat;;;;1-1-1, tx_locator_lon, tx_locator_geocode");


// tt_address_group
$tempColumns = array (
	'tx_locator_icon' => array (
		'exclude' => 1,
		'label' => 'LLL:EXT:locator/locallang_db.xml:tt_address_group.tx_locator_icon',
		"config" => Array (
			"type" => "select",
			"items" => Array (),
			"itemsProcFunc" => "tx_locator_tx_locator_locations_icon->main",
			"size" => 1,
			"maxitems" => 1,
		)
	),
);


t3lib_div::loadTCA('tt_address_group');
t3lib_extMgm::addTCAcolumns('tt_address_group',$tempColumns,1);
//t3lib_extMgm::addToAllTCAtypes('tt_address','tx_locator_lat;;;;1-1-1, tx_locator_lon, tx_locator_geocode, tx_locator_categoryuid');
//t3lib_extMgm::addToAllTCAtypes("tt_address","tx_locator_lat,tx_locator_lon, tx_locator_geocode;;;;1-1-1");

t3lib_extMgm::addToAllTCAtypes("tt_address_group","tx_locator_icon;;;;1-1-1");



t3lib_div::loadTCA('tt_content');
$TCA['tt_content']['types']['list']['subtypes_excludelist'][$_EXTKEY.'_pi1']='layout,select_key';


t3lib_extMgm::addPlugin(array('LLL:EXT:locator/locallang_db.xml:tt_content.list_type_pi1', $_EXTKEY.'_pi1'),'list_type');


//t3lib_extMgm::addStaticFile($_EXTKEY,"pi1/static/","Default CSS-Styles");


// ab hier flexform
$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY.'_pi1']='pi_flexform';
// Wir definieren die Datei, die unser Flexform Schema enthaelt


t3lib_extMgm::addPiFlexFormValue($_EXTKEY.'_pi1', 'FILE:EXT:'.$_EXTKEY.'/flexform_ds.xml');



if (TYPO3_MODE=="BE")	$TBE_MODULES_EXT["xMOD_db_new_content_el"]["addElClasses"]["tx_locator_pi1_wizicon"] = t3lib_extMgm::extPath($_EXTKEY).'pi1/class.tx_locator_pi1_wizicon.php';



?>
