<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2007 Joachim Ruhs postmaster@joachim-ruhs.de
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/




/**
 * Class/Function which manipulates the item-array for table/field tx_locator_locations_icon.
 *
 */
class tx_locator_tx_locator_locations_icon {
	function main(&$params,&$pObj)	{
		// setting up the icons in uploadfolder
        if (!is_file("uploads/tx_locator/pointerRed.gif")) {
//        	$srcDir =$GLOBALS['TSFE']->absRefPrefix .t3lib_extMgm::siteRelPath('locator') . 'pi1/icons/';
//            $destDir = 'uploads/tx_locator/';
			$srcDir = PATH_site.'typo3conf/ext/locator/pi1/icons/';
			$destDir = PATH_site.'uploads/tx_locator';
			$this->dirCopy($srcDir,$destDir);
		}
		$rows=$this->getItems();
		while(list($c,$row)=each($rows)){
			$params['items'][] = array($pObj->sL($row), $row);
		}
		// No return - the $params and $pObj variables are passed by reference, so just change content in then and it is passed back automatically...
	}

	/**
	 * function.
	 */
	function getItems() {
		if ($handle = opendir(PATH_site.'uploads/tx_locator')) {
//								if ($handle = opendir('../'.$GLOBALS['TSFE']->absRefPrefix .
//									t3lib_extMgm::siteRelPath('locator') . 'pi1/icons')){
			while (false !== ($file = readdir($handle))) {
			    if (substr($file,0,1)!='.' && $file != 'index.html'
					&& (substr($file,-3)=='png'||substr($file,-3)=='jpg'||substr($file,-3)=='gif'))
			            $out[]=$file;
			}
		}
		return $out;
   		closedir($handle);
	}
	
  	function dirCopy($srcdir, $dstdir, $verbose = false) {
		//$verbose = 1;
  		$num = 0;
  		if(!is_dir($dstdir)) mkdir($dstdir);
  		if($curdir = opendir($srcdir)) {
    	while($file = readdir($curdir) ) {
      		if($file != '.' && $file != '..') {
        		$srcfile = $srcdir . $file;
        		$dstfile = $dstdir . '/' . $file;
				if(is_file($srcfile)) {
          			if(is_file($dstfile)) $ow = filemtime($srcfile) - filemtime($dstfile); else $ow = 1;
          			if($ow > 0) {
            			if($verbose) echo "Copying '$srcfile' to '$dstfile'...";
            			if(copy($srcfile, $dstfile)) {
              				touch($dstfile, filemtime($srcfile)); $num++;
              				if($verbose) echo "OK\n";
            			}
            			else echo "Error: File '$srcfile' could not be copied!\n";
          			}
        		}
        	else if(is_dir($srcfile)) {
          		$num += $this->dirCopy($srcfile, $dstfile, $verbose);
        	}
      	}
    }
    closedir($curdir);
  	}
  	return $num;
	}


}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/locator/class.tx_locator_tx_locator_locations_icon.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/locator/class.tx_locator_tx_locator_locations_icon.php']);
}

?>
