<!--
	javascript for the TYPO3 extension locator
	and the Google maps API V3
	Web Services Ruhs <info@web-services-ruhs.de>
	2010 - 2011
-->

<!--
<script type="text/javascript"  src="http://maps.googleapis.com/maps/api/js?libraries=weather&sensor=false">
</script>
-->

<script type="text/javascript">
	function clearCookie() {
	  	document.cookie = 'tx_locator_storeuid = 0;path=/;expires=Thu, 01-Jan-70 00:00:01 GMT';
	}

	function popUp(URL)
	{
	day = new Date();
	id = day.getTime();
	eval("page" + id + " = window.open(URL, '" + id + "', 'toolbar=1,scrollbars=1,location=1,statusbar=1,menubar=1,resizable=1,width=800,height=600,left = 112,top = 84');");
	}
</script>


<script type="text/javascript" src="http://maps.google.com/maps/api/js?v=$googleApiVersion$googleLibraries&amp;sensor=false"></script>


<script type="text/javascript" src="typo3conf/ext/locator/pi1/scripts/infobubble.js"></script>


<script type="text/javascript">
//<![CDATA[

/*
var styles = [];
styles.push({ id: 25, name: 'Blue water', json: [
	{
		featureType: 'water',
		stylers: [{color:'#46bcec'},{visibility:'on'}]
	},{
		featureType: 'landscape',
		stylers: [{color:'#f2f2f2'}]
	},{
		featureType: 'road',
		stylers: [{saturation: -100},{lightness: 45}]
	},{
		featureType: 'road.highway',
		stylers: [{visibility: 'simplified'}]
	},{
		featureType: 'road.arterial',
		elementType: 'labels.icon',
		stylers: [{visibility: 'off'}]
	},{
		featureType: 'administrative',
		elementType: 'labels.text.fill',
		stylers: [{color: '#444444'}]
	},{
		featureType: 'transit',
		stylers: [{visibility: 'off'}]
	},{
		featureType: 'poi',
		stylers: [{visibility: 'off'}]
	}
] });
*/







var infoBubble = [];

//var gdir;
var markersArray = [];
var gmarkers = [];
var htmls = [];
var i = 0;
// arrays to hold variants of the info window html with get direction forms open
//var to_htmls = [];
//var from_htmls = [];
var infoWindowId = -1;
var marker = [];
var infoWindow = [];
var map;

var layers = [];
var layerControl;

function handleErrors(){
	   if (gdir.getStatus().code == G_GEO_UNKNOWN_ADDRESS)
	     alert("No corresponding geographic location could be found for one of the specified addresses. This may be due to the fact that the address is relatively new, or it may be incorrect.\nError code: " + gdir.getStatus().code);
	   else if (gdir.getStatus().code == G_GEO_SERVER_ERROR)
	     alert("A geocoding or directions request could not be successfully processed, yet the exact reason for the failure is not known.\n Error code: " + gdir.getStatus().code);

	   else if (gdir.getStatus().code == G_GEO_MISSING_QUERY)
	     alert("The HTTP q parameter was either missing or had no value. For geocoder requests, this means that an empty address was specified as input. For directions requests, this means that no query was specified in the input.\n Error code: " + gdir.getStatus().code);

	//   else if (gdir.getStatus().code == G_UNAVAILABLE_ADDRESS)  <--- Doc bug... this is either not defined, or Doc is wrong
	//     alert("The geocode for the given address or the route for the given directions query cannot be returned due to legal or contractual reasons.\n Error code: " + gdir.getStatus().code);

	   else if (gdir.getStatus().code == G_GEO_BAD_KEY)
	     alert("The given key is either invalid or does not match the domain for which it was given. \n Error code: " + gdir.getStatus().code);

	   else if (gdir.getStatus().code == G_GEO_BAD_REQUEST)
	     alert("A directions request could not be successfully parsed.\n Error code: " + gdir.getStatus().code);

	   else alert("An unknown error occurred.");

}


var myOptions;

function load(){
	var circle = null;
    var circleRadius = 1.5; // Miles

	var lon;
	var lat;

	var zoom1 = 17 - $zoom;


/* styles 

    var style = styles[0];
	var styledMap = new google.maps.StyledMapType(style.json, { name: style.name });

 styles */



    var latlng = new google.maps.LatLng($center_lat_float, $center_lon_float);
     myOptions = {
      zoom: zoom1,
      center: latlng,
//      mapTypeId: google.maps.MapTypeId.ROADMAP,
      mapTypeId: google.maps.MapTypeId.$defaultMapType,
      scaleControl: 1,
	  zoomControl: 1,

//	  panControl: false,
//      disableDoubleClickZoom: 1,
	  scrollwheel: true,
 	  streetViewControl: $enableStreetViewOverlay
    };
    
    map = new google.maps.Map(document.getElementById("$mapId"), myOptions);





/* styles 
        //Associate the styled map with the MapTypeId and set it to display.
        map.mapTypes.set('map_style', styledMap);
        map.setMapTypeId('map_style');

//        maps.push(map);
 styles */













	if ($showTrafficLayer) {
		var trafficLayer = new google.maps.TrafficLayer();
		trafficLayer.setMap(map);
	}

	if ($showBicyclingLayer) {
		var bicyclingLayer = new google.maps.BicyclingLayer();
		bicyclingLayer.setMap(map);
	}

	if ($showPanoramioLayer) {
		var panoramioLayer = new google.maps.panoramio.PanoramioLayer();
		panoramioLayer.setMap(map);
	}

	if ($showWeatherLayer) {
		var weatherLayer = new google.maps.weather.WeatherLayer({
			temperatureUnits: google.maps.weather.TemperatureUnit.DEGREE}
		);
		weatherLayer.setMap(map);
	}

/*
 	map.enableKeyDragZoom({
 	    key: 'shift'}
 	);
*/

//  	google.maps.event.addListener(map, 'click', function(event) {
//    	addMarker(event.latLng);
//  	});

/*
  	google.maps.event.addListener(map, 'mouseout', function(event) {
		if (markersArray) {
		    for (i in markersArray) {
		    	removeMarker(markersArray[i]);
			}
		}
  	});
*/

/*
  	google.maps.event.addListener(map, 'mouseover', function(event) {
		if (markersArray) {
		    for (var i= 0; i < markersArray.length; i++ ) {
		    	showMarker(markersArray[i]);
			}
		}
  	});
*/

function addMarker(location) {
  marker = new google.maps.Marker({
    position: location,
    map: map
  });
  markersArray.push(marker);
}

function removeMarker(marker) {
	if(marker.setMap != null) marker.setMap(null);
}

function showMarker(marker) {
     marker.setMap(map);
}


$map_results

if ($enableMarkerClusterer && markersArray.length > 1)
var markerCluster = new MarkerClusterer(map, markersArray);

    // This function picks up the click and opens the corresponding info window
    function myclick(i) {
    	gmarkers[i].openInfoWindowHtml('<div  class=googleMapBalloonBody>'+htmls[i]+'</div>');
  	}

  	// functions that open the directions forms
  	function tohere(i) {
    	gmarkers[i].openInfoWindowHtml('<div  class=googleMapBalloonBody>'+ to_htmls[i]+'</div>');
  	}
  	function fromhere(i) {
    	gmarkers[i].openInfoWindowHtml('<div  class=googleMapBalloonBody>'+ from_htmls[i] +'</div>');
  	}

	function show_marker(id)
	{
		gmarkers[id].openInfoWindowHtml(htmls[id])
	}


} // load()

function openInfoWindow(i) {
    google.maps.event.trigger(marker[i],'click');
	//infoWindow[i].open(map,marker[i]);

	infoBubble.open(map, marker[i]);
}






/*]]>*/
</script>
