<script type="text/javascript">
//<![CDATA[
function popUp(URL)
{
	day = new Date();
	id = day.getTime();
	eval("page" + id + " = window.open(URL, '" + id + "', 'toolbar=1,scrollbars=1,location=1,statusbar=1,menubar=1,resizable=1,width=800,height=600,left = 112,top = 84');");
}
/*]]>*/
</script>

<script src="http://maps.google.com/maps?file=api&amp;v=$googleApiVersion&amp;key=$google_key" type="text/javascript"></script>
<script type="text/javascript">
//<![CDATA[

// v=2.61 was the old api version
// v=2.81 new api with GDirections
// v=2.83 new api with GDirections works in IE6 too
// v=2.118 new api with GDirections works in IE6 too, solves the problem with the icons

//var gdir;
var map;
var layers = [];
var layerControl;


function handleOverlays(){
	// alert('overlays');
	if ($enableMoreButton) {
		$layers;
        // === Create the MoreControl(), and do addControl() it ===
   	  	map.addControl(new MoreControl());
    }
}


function handleErrors(){
	   if (gdir.getStatus().code == G_GEO_UNKNOWN_ADDRESS) {
		link = String("/$pageLink");
		if (link.length == 1)
	     alert("No corresponding geographic location could be found for one of the specified addresses. This may be due to the fact that the address is relatively new, or it may be incorrect.\nError code: " + gdir.getStatus().code);
		 //  jump to singleView when this error occurs
		 else  window.location.href = link;
	   }
	   else if (gdir.getStatus().code == G_GEO_SERVER_ERROR)
	     alert("A geocoding or directions request could not be successfully processed, yet the exact reason for the failure is not known.\n Error code: " + gdir.getStatus().code);

	   else if (gdir.getStatus().code == G_GEO_MISSING_QUERY)
	     alert("The HTTP q parameter was either missing or had no value. For geocoder requests, this means that an empty address was specified as input. For directions requests, this means that no query was specified in the input.\n Error code: " + gdir.getStatus().code);

	//   else if (gdir.getStatus().code == G_UNAVAILABLE_ADDRESS)  <--- Doc bug... this is either not defined, or Doc is wrong
	//     alert("The geocode for the given address or the route for the given directions query cannot be returned due to legal or contractual reasons.\n Error code: " + gdir.getStatus().code);

	   else if (gdir.getStatus().code == G_GEO_BAD_KEY)
	     alert("The given key is either invalid or does not match the domain for which it was given. \n Error code: " + gdir.getStatus().code);

	   else if (gdir.getStatus().code == G_GEO_BAD_REQUEST)
	     alert("A directions request could not be successfully parsed.\n Error code: " + gdir.getStatus().code);

	   else alert("An unknown error occurred.");

}

	//******************************************************
    // ==== The "More..." control simply accepts a mouseover to reveal the "Layer" control ===

      function MoreControl() {}
      MoreControl.prototype = new GControl();

      MoreControl.prototype.initialize = function(map) {
        var container = document.createElement("div");
        container.style.border = "2px solid black";
        container.style.fontSize = "12px";
        container.style.fontFamily = "Arial, sans-serif";
        container.style.width="80px";
        container.style.backgroundColor = "#ffffff";
        container.style.textAlign = "center";
        container.innerHTML = "$moreButtonLabel";

        map.getContainer().appendChild(container);

        GEvent.addDomListener(container, "mouseover", function() {
          map.addControl(layerControl);
        });
        return container;
      }

      MoreControl.prototype.getDefaultPosition = function() {
        return new GControlPosition(G_ANCHOR_TOP_LEFT, new GSize(150, 7));
      }



      // ==== The "Layer" control displays the "More..." plus the checkboxes ====
      // ==== The checkbox info is passed in the "opts" parameter ====

      function LayerControl(opts) {
        this.opts = opts;
      }
      LayerControl.prototype = new GControl();


      LayerControl.prototype.initialize = function(map) {
        var container = document.createElement("div");

        container.style.border = "2px solid black";
        container.style.fontSize = "12px";
        container.style.fontFamily = "Arial, sans-serif";
        container.style.width="80px";
        container.style.backgroundColor = "#ffffff";
        container.innerHTML = '<center><b>$moreButtonLabel<\/b><\/center>';

        for (var i=0; i<this.opts.length; i++) {
          if (layers[i].Visible) {
			var c = 'checked';
          } else {
            var c = '';
          }

          container.innerHTML += '<input type="checkbox" onclick="toggleLayer('+i+')" ' +c+ ' /> '+this.opts[i]+'<br>';
        }

        map.getContainer().appendChild(container);
        setTimeout("map.removeControl(layerControl)",5000);

        return container;

	   	}

      LayerControl.prototype.getDefaultPosition = function() {
        return new GControlPosition(G_ANCHOR_TOP_LEFT, new GSize(150, 7));
      }

      // ==== toggleLayer adds and removes the layers ====
      function toggleLayer(i) {
        if (layers[i].Visible) {
          layers[i].hide();
        } else {
          if(layers[i].Added) {
            layers[i].show();
          } else {
            map.addOverlay(layers[i]);
            layers[i].Added = true;
          }
        }
        layers[i].Visible = !layers[i].Visible;
      }


	//******************************************************



function load(){
	var sidebar_html = "";

	// arrays to hold copies of the markers and html used by the sidebar
	// because the function closure trick doesnt work there
	var gmarkers = [];
	var htmls = [];
	var i = 0;
	// arrays to hold variants of the info window html with get direction forms open
	var to_htmls = [];
	var from_htmls = [];
	var lon;
	var lat;
	var point = new GPoint($center_lon_float,$center_lat_float);
	var marker;
//      var map = new GMap(document.getElementById("map"));
      map = new GMap2(document.getElementById("map"));
      map.addControl(new GLargeMapControl());
      map.addControl(new GMapTypeControl());
      map.addControl(new GScaleControl());

	  map.addMapType(G_PHYSICAL_MAP);

	  map.enableScrollWheelZoom();


    gdir = new GDirections(map, document.getElementById("route"));
    GEvent.addListener(gdir, "error", handleErrors);
//	gdir.load("from: " + "Ringstrasse 1,Herbolzheim,DE" + " to: " + "Elzstrasse 10,Rheinhausen,DE",
//                { "locale": "DE" });

	// load additional overlays when this event is fired
	GEvent.addListener(gdir, "addoverlay", handleOverlays);

	if ($multiRoute) {
		routeArray = new Array($routeAddressesArray);
		gdir.loadFromWaypoints(routeArray, $locale);
	}
	else {
		gdir.load("$routeAddresses",$locale);
	}

	//Create the custom Green icon.  Google only provides red, so I've modified it with a different color.
	var icon = new GIcon();
	//icon.shadow = "http://www.google.com/mapfiles/shadow50.png";

	icon.iconSize = new GSize($mapicon_you_width,$mapicon_you_height);

	icon.shadowSize = new GSize(37, 34);
	icon.iconAnchor = new GPoint(9, 34);
	icon.infoWindowAnchor = new GPoint(9, 2);
	icon.infoShadowAnchor = new GPoint(18, 25);
	icon.image = "$mapicon_you";
}
/*]]>*/
</script>
